Skip to main content
PUT
Update project

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectId
string
required
Minimum string length: 1

Body

application/json
name
string
required
Required string length: 1 - 120
description
string
Maximum string length: 2000

Response

Updated

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
name
string
required
createdAt
string
required
updatedAt
string
required
jobCount
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
description
string